#
# spec file for package rubygem-sunspot
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-sunspot
Version:        2.3.0
Release:        1.5
%define mod_name sunspot
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://outoftime.github.com/sunspot
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Library for expressive, powerful interaction with the Solr search
License:        MIT
Group:          Development/Languages/Ruby

%description
Sunspot is a library providing a powerful, all-ruby API for the Solr
search engine. Sunspot manages the configuration of persistent
Ruby classes for search and indexing and exposes Solr's most powerful features
through a collection of DSLs. Complex search operations
can be performed without hand-writing any boolean queries or building Solr
parameters by hand.

%prep

%build

%install
%gem_install \
  --doc-files="History.txt LICENSE" \
  -f

%gem_packages

%changelog
* Mon Apr  9 2018 factory-auto@kulow.org
- updated to version 2.3.0
  see installed History.txt
* Tue Mar 27 2018 factory-auto@kulow.org
- updated to version 2.2.8
  see installed History.txt
* Thu Oct 27 2016 coolo@suse.com
- updated to version 2.2.7
  see installed History.txt
* Fri Sep  2 2016 coolo@suse.com
- updated to version 2.2.6
  see installed History.txt
* Sun Mar  6 2016 coolo@suse.com
- updated to version 2.2.5
  see installed History.txt
* Mon Jan 25 2016 coolo@suse.com
- updated to version 2.2.4
  see installed History.txt
* Wed Dec 16 2015 coolo@suse.com
- updated to version 2.2.3
  see installed History.txt
* Wed Nov 25 2015 coolo@suse.com
- updated to version 2.2.2
  see installed History.txt
* Sat Nov 21 2015 coolo@suse.com
- updated to version 2.2.1
  see installed History.txt
* Fri Apr 10 2015 coolo@suse.com
- updated to version 2.2.0
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun May 18 2014 coolo@suse.com
- updated to version 2.1.1
  * Dropped support for rails 2.x. Added support for Rails 4.
  * Bundled Solr installation (`sunspot_solr`) is version 4.2.0
  * Upgrade to Jetty 8 and changed solr config directory structure.
  * Removed interactive warning prompt from sunspot:reindex rake task.
  * Support Rails 4 custom primary keys i.e. UUID
  * Switch to EDismax query parser from dismax.
  * Extend Sunspot.remove! to accept a block, and enable .remove_by_id! to accept multiple ids.
  * add 'order_by_function' method to field queries. Allowing for Solr FunctionQuery, nesting, and literal constants.
* Fri Nov  1 2013 coolo@suse.com
- updated to version 2.1.0, History.txt not updated
* Sun Mar 24 2013 coolo@suse.com
- updated to version 2.0.0
  * Adds support for field grouping (Andy Lindeman)
  * Adds support for native geospatial searches and ordering (Eric Tang, Bruno Miranda, Andy Lindeman)
  * Bundled Solr installation (`sunspot_solr`) is version 3.5.0 (Chris Parker)
  * Adds #query_time method to retrieve the Solr query time in
  milliseconds (Jason Weathered)
  * Fixes syntax of highlighting when used with nested dismax queries (Marco Crepaldi)
  * Adds ability to nest `Sunspot.batch` calls (Thorbjørn Hermansen)
  * Adds `open_timeout` and `read_timeout` configuration options (Rob Di
  Marco)
  * Adds `offset` options to facets (Federico Gonzalez)
  * Adds `Retry5xxSessionProxy` to retry requests when an internal server error
  occurs (Nick Zadrozny)
  * Adds support for range queries (Jan Ulrich)
  * Allows custom field names specified with :as to be symbols (David Oliver)
  * Add field exclusion when faceting (Cuong Hoang)
* Mon Jul 30 2012 coolo@suse.com
- initial package
